PlanarMechanics
===============

A free Modelica library for planar mechanical multi-body systems


## Library description

The PlanarMechanics library is an open-source Modelica library for the modelling of planar mechanical multi-body systems. Its main components are:
- parts such as mass, rigid rods, fixation
- joints such as prismatic joints or revolute joints
- force elements such as spring and dampers
- sensors and sources
- components for vehicles: wheel models
- components for gearboxes
- many examples

## Current release

[PlanarMechanics Library 1.4.1 (2019-03-29)](../../releases/tag/v1.4.1)

## License

The libray is released under the 3-Clause BSD license, see https://modelica.org/licenses/modelica-3-clause-bsd.

## Reference results
Reference results for regression testing can be found in [PlanarMechanics_ReferenceResults](https://github.com/DLR-SR/PlanarMechanics_ReferenceResults).

## Development and contribution
The library was developed by the German Aerospace Center (DLR)
Contributors:
- Dr. Dirk Zimmer
- Franciscus van der Linden
- Zheng Qu

You may report any issues with using the [Issues](../../issues) button.

Contributions in shape of [Pull Requests](../../pulls) are always welcome.
